<?
/*
if($_SESSION['mult']==68758){
err_game("<span>У вас уже есть учетная запись в игре.</span>");
}
else
if(isset($_SESSION['mult'])!=68758)
{
*/
if(isset($_POST['nick']) && isset($_POST['id']) && isset($_POST['password']) && isset($_POST['password2']) /* && isset($_POST['email'])*/)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1"),0)!=0)err_game("Этот ник уже зарегистрирован. Выберите другой!");
elseif( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))err_game('В нике присутствуют запрещенные символы');
elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))err_game('Запрещено использовать пробел в начале и конце ника');
elseif (strlen2($_POST['nick'])<4)err_game('Короткий ник');
elseif (strlen2($_POST['nick'])>32)err_game('Длина ника превышает 32 символа');
elseif (strlen2($_POST['password'])<6)err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');
elseif(strlen2($_POST['password'])>32)err_game('Длина пароля превышает 32 символа');
elseif ($_POST['password']!=$_POST['password2'])err_game('Пароли не совпадают');
else
{
if($_POST['pol']==0)$pol='0';else $pol='1';
if(mysql_result(mysql_querll('SELECT COUNT(`id`) FROM `kolhoz_user` WHERE `search_accelerator`="'.$system_data['search_accelerator_id'].'"'),0)>1000){
$acceid = $system_data['search_accelerator_id']+1;
mysql_querll('UPDATE `kolhoz_system` SET `search_accelerator_id`="'.$acceid.'" WHERE `id`="1"');
} else {$acceid = $system_data['search_accelerator_id'];}

mysql_querll('INSERT INTO `kolhoz_user` SET `search_accelerator`="'.$acceid.'", `nick`="'.my_esc($_POST['nick']).'", `password`="'.md5($_POST['password']).'", `pol`="'.$pol.'", `money`="1000000000", `rubies`="1000000", `zkl` = "500", `euro` = "100", `theme` = "1", `almaz` = "100", `status`="0", `id_prig`="'.my_esc($_POST['id']).'"');
$_SESSION['id_user'] = mysql_insert_id();
$_SESSION['search_accelerator'] = $acceid;
header("Location:/?myfarm");
exit;
}
}
//}
?>
<div class="event">
<div><h1>Регистрация</h1></div>
</div>
<div class="block">Добро пожаловать и Приятной игры, зарегистрируйтесь пожалуйста!
<div class="content">

<form method="post"><ul>
<div class="block">
<label>Ваш ник (A-z,А-я,0-9,-_):<br>
<input type="text" value="" name="nick">
</label>

<div class='small minor'>Ник может содержать до 2-
х пробелов.</div>
</div>
<div class="block">
<input type="radio" name="pol" value="1" checked="checked"> Я — Парень<br />
<input type="radio" name="pol" value="0"> Я — Девушка<br />
</div>






<div class="block">
<label>ID игрока который Вас пригласил:<br>
<input type="text" value="" name="id">
</label>
</div>
<div class="block">
<label>Пароль (6-20 сим):<br>
<input type="password" value="" name="password">
</label>
</div>

<div class="block">
<label>Ещё раз пароль (6-20 сим):<br>
<input type="password" value="" name="password2">
</label>
</div>





<input type="submit" value="Создать профиль">
</ul>
</form>
<!--</div>!-->

<div class="block event">
<img width="16" height="16" src="img/icons/back.png" alt="o"> <a href="/">В начало</a>
</div>
</div>
<?
echo "<div class='block event'>";
echo "Онлайн <span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"), 0)."</span>, регистраций
<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)."</span></div>";
echo "</div>";
exit;
?>